SplFileObject does not have children

- « SplFileObject::getMaxLineLen

- SplFileObject::key »

- PHP Manual
- SplFileObject
- SplFileObject does not have children

# SplFileObject::hasChildren

(PHP 5 >= 5.1.2, PHP 7, PHP 8)

SplFileObject::hasChildren — SplFileObject does not have children

### Description

public SplFileObject::hasChildren(): false

An SplFileObject does not have children so this method always return `false`.

### Parameters

This function has no parameters.

### Return Values

Returns `false`

### See Also

- RecursiveIterator::hasChildren() - Returns if an iterator can be created for the current entry